×

Discussion Board

Results 1 to 2 of 2
  1. #1
    Registered User
    Join Date
    Jul 2010
    Posts
    1

    How to include latest mobility APIs (1.1) in latest Nokia Qt SDK?

    How do I include the latest mobility APIs (1.1) in the Nokia Qt SDK (on Windows for emulation)? I have tried downloading the mobility source but get an error when compiling them as per installation.html:

    cd src\ && “C:\Program Files\Microsoft Visual Studio 8\VC\BIN\nmake.exe” -f Makefile cd global\ && “C:\Program Files\Microsoft Visual Studio 8\VC\BIN\nmake.exe” -f Makefile cd mobilitysimulator\ && “C:\Program Files\Microsoft Visual Studio 8\VC\BIN\nmake.exe” -f Makefile “C:\Program Files\Microsoft Visual Studio 8\VC\BIN\nmake.exe” -f Makefile.Debug all cl c -nologo -Zm200 -Zc:wchar_t -Zi -MDd -GR -EHsc -W3 -w34100 -w34189 -DUNICODE -DWIN32 -DQT_LARGEFILE_SUPPORT -DQT_SHARED -DQTM_PLUGIN_PATH=\”C:/QtMobility/plugins\” -DQT_BUILD_MOBILITYSIMULATOR_LIB -DQT_MAKEDLL -DQT_DLL -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_THREAD_SUPPORT -I”c:\NokiaQtSDK\Simulator\Qt\msvc2005\include\QtCore” -I”c:\NokiaQtSDK\Simulator\Qt\msvc2005\include\QtNetwork” -I”c:\NokiaQtSDK\Simulator\Qt\msvc2005\include\QtGui” -I”c:\NokiaQtSDK\Simulator\Qt\msvc2005\include” -I”.” -I”..\global” -I”c:\NokiaQtSDK\Simulator\Qt\msvc2005\include\ActiveQt” -I”..\..\build\Debug\QtMobilitySimulator\moc” -I”c:\NokiaQtSDK\Simulator\Qt\msvc2005\mkspecs\default” -Fo..\..\build\Debug\QtMobilitySimulator\ @C:\DOCUME1\Judge\LOCALS1\Temp\nmFC.tmp
    mobilityconnection.cpp
    c:\qt-mobility-opensource-src-1.1.0\src\mobilitysimulator\mobilityconnection_p.h(50) : fatal error C1083: Cannot open include file: ‘private/qsimulatordata_p.h’: No such file or directory

    I have looked for private/qsimulatordata_p.h but it's not even in any of the source.

    I have also tried the mingw build instead but get:

    C:\NokiaQtSDK\Simulator\Qt\mingw\bin\moc.exe -DUNICODE -DQT_LARGEFILE_SUPPORT -D
    QT_SHARED -DQTM_PLUGIN_PATH=\"C:/Qt/Mobility/plugins\" -DQT_BUILD_MOBILITYSIMULA
    TOR_LIB -DQT_MAKEDLL -DQT_DLL -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_C
    ORE_LIB -DQT_THREAD_SUPPORT -I"c:\NokiaQtSDK\Simulator\Qt\mingw\include\QtCore"
    -I"c:\NokiaQtSDK\Simulator\Qt\mingw\include\QtNetwork" -I"c:\NokiaQtSDK\Simulato
    r\Qt\mingw\include\QtGui" -I"c:\NokiaQtSDK\Simulator\Qt\mingw\include" -I"." -I"
    ..\global" -I"c:\NokiaQtSDK\Simulator\Qt\mingw\include\ActiveQt" -I"..\..\build\
    Release\QtMobilitySimulator\moc" -I"c:\NokiaQtSDK\Simulator\Qt\mingw\mkspecs\def
    ault" -D__GNUC__ -DWIN32 mobilityconnection_p.h -o ..\..\build\Release\QtMobilit
    ySimulator\moc\moc_mobilityconnection_p.cpp
    g++ -c -O2 -frtti -fexceptions -mthreads -Wall -DUNICODE -DQT_LARGEFILE_SUPPORT
    -DQT_SHARED -DQTM_PLUGIN_PATH=\"C:/Qt/Mobility/plugins\" -DQT_BUILD_MOBILITYSIMU
    LATOR_LIB -DQT_MAKEDLL -DQT_DLL -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT
    _CORE_LIB -DQT_THREAD_SUPPORT -I"c:\NokiaQtSDK\Simulator\Qt\mingw\include\QtCore
    " -I"c:\NokiaQtSDK\Simulator\Qt\mingw\include\QtNetwork" -I"c:\NokiaQtSDK\Simula
    tor\Qt\mingw\include\QtGui" -I"c:\NokiaQtSDK\Simulator\Qt\mingw\include" -I"." -
    I"..\global" -I"c:\NokiaQtSDK\Simulator\Qt\mingw\include\ActiveQt" -I"..\..\buil
    d\Release\QtMobilitySimulator\moc" -I"c:\NokiaQtSDK\Simulator\Qt\mingw\mkspecs\d
    efault" -o ..\..\build\Release\QtMobilitySimulator\mobilityconnection.o mobility
    connection.cpp
    Sorry, \epoc32\gcc\bin\g++.exe is not supported in this release. Please use a di
    fferent
    device. Use 'devices' to view the available devices.
    mingw32-make[3]: *** [../../build/Release/QtMobilitySimulator/mobilityconnection
    .o] Error 2
    mingw32-make[3]: Leaving directory `C:/qt-mobility-opensource-src-1.1.0/src/mobi
    litysimulator'
    mingw32-make[2]: *** [release] Error 2
    mingw32-make[2]: Leaving directory `C:/qt-mobility-opensource-src-1.1.0/src/mobi
    litysimulator'
    mingw32-make[1]: *** [sub-mobilitysimulator-make_default] Error 2
    mingw32-make[1]: Leaving directory `C:/qt-mobility-opensource-src-1.1.0/src'
    mingw32-make: *** [sub-src-make_default-ordered] Error 2

    I have also asked this question of the Qt tools team but there is no answer...
    http://developer.qt.nokia.com/forums...ead/1844/#8599

    Thanks

    Simon

  2. #2
    Super Contributor
    Join Date
    Mar 2009
    Posts
    1,024

    Re: How to include latest mobility APIs (1.1) in latest Nokia Qt SDK?

    g++ compilation seems messed up: it tries to run "\epoc32\gcc\bin\g++"
    Compilation with Visual studio is fine.. the error seems to come from mobility itself

Similar Threads

  1. Replies: 35
    Last Post: 2010-09-13, 12:05
  2. How to update QtMobility to the latest version in Nokia Qt SDK
    By matthiaz in forum [Archived] Qt SDKs and Tools
    Replies: 4
    Last Post: 2010-09-08, 10:01
  3. Replies: 3
    Last Post: 2010-07-27, 07:41
  4. Deployment of Qt application on latest Nokia Mobile
    By dedamas in forum [Archived] Qt Mobility Project
    Replies: 0
    Last Post: 2010-01-23, 12:08
  5. what's the latest version of the SDK?
    By cl_eci_dev in forum Symbian Tools & SDKs
    Replies: 2
    Last Post: 2002-05-08, 19:12

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×